Subject: Re: [Mip4] REVISED: MIPv4/MIPv6-IPv4/IPv6 interaction bar-bof

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 1 Mar 2004 06:18:17 +0100

I've gotten a bit of pusback about the early hour of the bar-bof, so the
time has been changed:

REVISED Bar-bof details:

	Monday evening 22:00  - in the seating area outside Emerald.  

Possibly we can use Emerald if more people turn up than the area can
hold.

	Henrik

Wednesday 25 February 2004, Henrik Levkowetz wrote:
> 
> Proposal of a bar-bof
> ---------------------
> 
> With the coming (we hope) of heterogenous deployment of IPv4 and IPv6
> access and transport networks, and Mobile Nodes with MIPv4 and/or MIPv6
> capability and IPv4 and/or IPv6 stacks, the question has been raised
> of how to best run Mobile IP in such circumstances, and some solutions
> has been proposed.  
> 
> The "trivial cases" of MIP4 carrying IPv4 in an all-IPv4 network, and
> MIP6 carrying IPv6 in an all-IPv6 network are covered in the MIPv4 and
> MIPv6 standards.  But by one way of counting, that still leaves about 6
> combinations (14 if you count NAT-PT versions) which may occur in
> practice which are not covered by the current standards.  A number of
> drafts (some mentioned below) has been written, proposing solutions
> to some of these cases.
> 
> Some cases may be handled without any additional MIP work if other
> transition mechanisms such as e.g. ISATAP is available, but as a Mobile
> Node may be expected to come across all conceivable kinds of visited
> networks, it cannot rely on any particular other transition mechanism
> being in place.
> 
> Below is a list of possible combinations of Host IP stack version, MIP
> client/agent version and transport network IP version, followed by a
> short summary of my understanding of where the current and proposed
> solutions fit in.  There exist 8 similar combinations using NAT-PT
> which are not explicitly listed here.
> 
> Which solutions will be needed? Which should we work on?  How much
> interest does this have currently?  
> 
> We plan to hold a bar-bof in Seoul, to see how many show up, and what
> kind of interest there is in this subject.  Place will be announced
> on the lists Monday March 1st, and in the MIP4 and MIP6 sessions.
> 
> 	Henrik
> 
> 
> 
> Table of MIP4/6-IP4/6 combinations:
> ===================================
> 
> #	MN's		MIP		Access	Transpt	Short description
> 	IP-stack	Client		Net	& HA if.	
> ---	--------	------		------	-------	-----------------
> 1	IPv4		MIP v4		IP v4	v4	"native MIPv4"	
> 2	IPv6		  "		  "	v4	"IPv6 in MIPv4"	
> 
> 3	IPv4		MIP v6		  "	v4	"IPv4 in MIPv6 over IPv4"
> 4	IPv6		  "		  "	v4	"MIPv6 over IPv4"
> 
> 5	IPv4		MIP v4		IP v6	v6	"MIPv4 over IPv6"
> 6	IPv6		  "		  "	v6	"IPv6 in MIPv4 over IPv6"
> 
> 7	IPv4		MIP v6		  "	v6	"IPv4 in MIPv6"
> 8	IPv6		  "		  "	v6	"native MIPv6"
> ---	--------	------		------	-------	-----------------
> 
>   Variant 1 is the native IP/MIP combination for v4
> 
>   Variant 2 would be supported by the MIPv4 signalling extensions proposed in
> 	    draft-tsirtsis-v4v6-mipv4-00.txt
> 
>   Variant 5 is known to be supported by an experimental thesis implementation
> 	    and is fairly simple
> 
>   Variant 6 is known to be supported by an experimental thesis implementation
> 	    and is fairly simple
> 
>   Variant 7 would be supported by the MIPv6 signalling extensions proposed in
> 	    draft-soliman-v4v6-mipv4-00.txt
> 
>   Variant 8 is the native IP/MIP combination for v6
> 
> 
> 
>